# Method: notes.list

- [HTTP request](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/list#body.request_body)
- [Response body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/list#body.ListNotesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/list#body.aspect)

Lists notes.

Every list call returns a page of results with `pageSize` as the upper bound of returned items. A `pageSize` of zero allows the server to choose the upper bound.

The ListNotesResponse contains at most `pageSize` entries. If there are more things left to list, it provides a `nextPageToken` value. (Page tokens are opaque values.)

To get the next page of results, copy the result's `nextPageToken` into the next request's `pageToken`. Repeat until the `nextPageToken` returned with a page of results is empty.

notes.list return consistent results in the face of concurrent changes, or signals that it cannot with an ABORTED error.

### HTTP request

`GET https://keep.googleapis.com/v1/notes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of results to return. |
| `pageToken` | `string` The previous page's `nextPageToken` field. |
| `filter` | `string` Filter for list results. If no filter is supplied, the `trashed` filter is applied by default. Valid fields to filter by are: `createTime`, `updateTime`, `trashTime`, and `trashed`. Filter syntax follows the [Google AIP filtering spec](https://aip.dev/160). |

### Request body

The request body must be empty.

### Response body

The response when listing a page of notes.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "notes": [ { object (`https://developers.google.com/workspace/keep/api/reference/rest/v1/notes#Note`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `notes[]` | ``object (`https://developers.google.com/workspace/keep/api/reference/rest/v1/notes#Note`)`` A page of notes. |
| `nextPageToken` | `string` Next page's `pageToken` field. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/keep`
- `https://www.googleapis.com/auth/keep.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).